Home        Store        Docs        Blog

Can't flash Ardusub to Pixhawk 4 using QGC

I’ve recently purchased a Holybro Pixhawk 4 and I’m trying to follow the instructions described here for flashing Ardsub, but the menu under ArduPilot Flight Stack where I’m supposed to choose Ardusub from doesn’t display any options when clicked. What am I missing?


The screenshot was taken from QGC on Ubuntu 16.4, but I’ve also tried QGC for Windows and had the same problem.

The Pixhawk 4 is not supported with ArduSub 3.5.3.

You can try loading up ArduSub 3.6.0 dev by clicking on the “Advanced settings”. None of our staff have any of these boards to test, so this board may not work.